Bug 250658 - games/iagno: Update to 3.38.1
Summary: games/iagno: Update to 3.38.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-26 23:15 UTC by Neel Chauhan
Modified: 2020-11-07 08:55 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch (Revision 1) (27.90 KB, patch)
2020-10-26 23:15 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2020-10-26 23:15:51 UTC
Created attachment 219125 [details]
Patch (Revision 1)

Passes poudriere.
Comment 1 commit-hook freebsd_committer 2020-10-31 07:44:24 UTC
A commit references this bug:

Author: tcberner
Date: Sat Oct 31 07:43:44 UTC 2020
New revision: 553741
URL: https://svnweb.freebsd.org/changeset/ports/553741

Log:
  games/iagno: Update to 3.38.1

  PR:		250658
  Submitted by:	Neel Chauhan <neel@neelc.org>

Changes:
  head/games/iagno/Makefile
  head/games/iagno/distinfo
  head/games/iagno/pkg-plist
Comment 2 Tobias C. Berner freebsd_committer 2020-10-31 07:51:09 UTC
@Neel: I had to manually run
# glib-compile-schemas /usr/local/share/glib-2.0/schema
after upgrading -- is this expected, or just as I am not using a gnome-desktop?


mfg Tobias
Comment 3 Tobias C. Berner freebsd_committer 2020-10-31 07:52:47 UTC
(In reply to Tobias C. Berner from comment #2)

This hunk in the patch was likely wrong:
-GLIB_SCHEMAS=  org.gnome.iagno.gschema.xml
Comment 4 commit-hook freebsd_committer 2020-10-31 07:57:28 UTC
A commit references this bug:

Author: tcberner
Date: Sat Oct 31 07:57:17 UTC 2020
New revision: 553742
URL: https://svnweb.freebsd.org/changeset/ports/553742

Log:
  games/iagno: complie schema files

  - GLIB_SCHEMAS was dropped by accident in the update

  PR:		250658

Changes:
  head/games/iagno/Makefile
  head/games/iagno/pkg-plist
Comment 5 Tobias C. Berner freebsd_committer 2020-10-31 07:57:59 UTC
@Neel, could you please follow up and fix the GLIB_SCHEMAS change in your other open PRs?

mfg Tobias
Comment 6 Tobias C. Berner freebsd_committer 2020-11-07 08:55:09 UTC
Committed.